com.groupdocs.conversion.converter.option

## Class ImageSaveOptions.ImageFileType

- java.lang.Object
- - com.aspose.ms.System.ValueType<com.aspose.ms.System.Enum>
  - - com.aspose.ms.System.Enum
    - - com.groupdocs.conversion.converter.option.ImageSaveOptions.ImageFileType

- Enclosing class:
    ImageSaveOptions

      public static final class ImageSaveOptions.ImageFileType
      extends com.aspose.ms.System.Enum

  Image file types

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.aspose.ms.System.Enum

      `com.aspose.ms.System.Enum.AbstractEnum, com.aspose.ms.System.Enum.EnumMap, com.aspose.ms.System.Enum.FlaggedEnum, com.aspose.ms.System.Enum.ObjectEnum, com.aspose.ms.System.Enum.SimpleEnum`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.groupdocs.foundation.domain.FileType` | `BMP` Bmp
    `static com.groupdocs.foundation.domain.FileType` | `GIF` Gif
    `static com.groupdocs.foundation.domain.FileType` | `ICO` Ico
    `static com.groupdocs.foundation.domain.FileType` | `JP2` Jpeg2000
    `static com.groupdocs.foundation.domain.FileType` | `JPEG` Jpeg
    `static com.groupdocs.foundation.domain.FileType` | `JPG` Jpg
    `static com.groupdocs.foundation.domain.FileType` | `PNG` Png
    `static com.groupdocs.foundation.domain.FileType` | `PSD` Psd
    `static com.groupdocs.foundation.domain.FileType` | `SVG` Svg
    `static com.groupdocs.foundation.domain.FileType` | `TIF` Tif
    `static com.groupdocs.foundation.domain.FileType` | `TIFF` Tiff
    `static com.groupdocs.foundation.domain.FileType` | `WEBP` Webp

    - ### Fields inherited from class com.aspose.ms.System.Enum

      `EnumSeparatorCharArray`

  - ### Method Summary

    - ### Methods inherited from class com.aspose.ms.System.Enum

      `Clone, CloneTo, format, format, get_Caption, get_Value, getName, getNames, getNames, getUnderlyingType, getUnderlyingType, getValue, getValues, isDefined, isDefined, isDefined, isDefined, parse, parse, parse, parse, register, toObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TIFF

          public static final com.groupdocs.foundation.domain.FileType TIFF

      Tiff

    - #### TIF

          public static final com.groupdocs.foundation.domain.FileType TIF

      Tif

    - #### JPG

          public static final com.groupdocs.foundation.domain.FileType JPG

      Jpg

    - #### JPEG

          public static final com.groupdocs.foundation.domain.FileType JPEG

      Jpeg

    - #### PNG

          public static final com.groupdocs.foundation.domain.FileType PNG

      Png

    - #### GIF

          public static final com.groupdocs.foundation.domain.FileType GIF

      Gif

    - #### BMP

          public static final com.groupdocs.foundation.domain.FileType BMP

      Bmp

    - #### ICO

          public static final com.groupdocs.foundation.domain.FileType ICO

      Ico

    - #### PSD

          public static final com.groupdocs.foundation.domain.FileType PSD

      Psd

    - #### WEBP

          public static final com.groupdocs.foundation.domain.FileType WEBP

      Webp

    - #### SVG

          public static final com.groupdocs.foundation.domain.FileType SVG

      Svg

    - #### JP2

          public static final com.groupdocs.foundation.domain.FileType JP2

      Jpeg2000

Copyright © 2018. All rights reserved.